/******************************************************************************/
/* Williams Advanced Engineering Limited                     Copyright(C) 2021*/
/* Grove                                                  All rights reserved */
/*                                                                            */
/******************************************************************************/


#include "Ios_RunTimeInstance.h"


uint8 bRunTimeInstance = RUNTIME_INST_BMS1;


void fnIosDetermineRunTimeInstance(void)
{
    if(ON == fnIosGetDigitalChannel(DigitalInput06))
    {
        bRunTimeInstance = RUNTIME_INST_BMS1;
    }
    else
    {
        bRunTimeInstance = RUNTIME_INST_BMS2;
    }
}

uint8 fnIosGetRunTimeInstance(void)
{
    return(bRunTimeInstance);
}
